Name:		grisbi
Version:	1.0.0
Release:	1%{?dist}
Summary:	Personal finances manager

Group:		Applications/Productivity
License:	GPLv2+
URL:		http://www.grisbi.org
Source0:	http://downloads.sourceforge.net/project/grisbi/grisbi%20stable/1.0.x/%{name}-%{version}.tar.bz2
Source1:	%{name}.appdata.xml

BuildRequires:	gtk2-devel, libxml2-devel, glib2-devel, gettext
BuildRequires:	desktop-file-utils, libofx-devel >= 0.7.0
BuildRequires:	openssl-devel
BuildRequires:	intltool
BuildRequires:	ImageMagick
BuildRequires:	libappstream-glib

Requires:	xdg-utils

%description
Grisbi is a very functional personal financial management program
with a lot of features: checking, cash and liabilities accounts,
several accounts with automatic contra entries, several currencies,
including euro, arbitrary currency for every operation, money
interchange fees, switch to euro account per account, description
of the transactions with third parties, categories, sub-categories,
financial year, notes, breakdown, transfers between accounts, even
for accounts of different currencies, bank reconciliation, scheduled
transactions, automatic recall of last transaction for every third
party, nice and easy user interface, user manual, QIF import/export.

%prep
%setup -q

%build
# FIXME: package should not install help files into _pkgdocdir
%configure --disable-silent-rules --docdir=%{_pkgdocdir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
install -D -p -m 644 %{SOURCE1} %{buildroot}/%{_datadir}/appdata/%{name}.appdata.xml

desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

for f in AUTHORS COPYING NEWS README ABOUT-NLS; do
    cp -p $f %{buildroot}%{_pkgdocdir}/$f
done

%find_lang %{name}

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/%{name}.appdata.xml


%post
# MimeType key in the desktop file
/usr/bin/update-desktop-database &> /dev/null || :
# MimeInfo file
/bin/touch --no-create %{_datadir}/mime/packages &>/dev/null || :
# Icon cache
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
# MimeType key in the desktop file
/usr/bin/update-desktop-database &> /dev/null || :
# MimeInfo file
if [ $1 -eq 0 ] ; then
    /usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
fi
# Icon cache
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
# MimeInfo file
/usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
# Icon cache
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%doc %{_pkgdocdir}/
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/mime-info/%{name}.*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/*/apps/grisbi.*
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_datadir}/appdata/%{name}.appdata.xml


%changelog
* Mon Jul 27 2015 Aurelien Bompard <abompard@fedoraproject.org> - 1.0.0-1
- version 1.0.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 27 2014 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.8.9-7
- Make building verbose (Disable silent-rules).
- Let spec acknowledge %%{_pkgdocdir}.
- Modernize spec.

* Wed Jun 11 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 0.8.9-6
- Fix FTBFS due to automake-1.14 (#1106724)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Sep 23 2013 Bill Nottingham <notting@redhat.com> - 0.8.9-4
- rebuild against new libofx
